.card {
  width: 100%;
  overflow: hidden;
  border-radius: var(--card-corner-radius, 1.25rem);
  background: var(--Maximum-Background, #fff);
  box-shadow: var(--card-box-shadow);
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  container-type: inline-size;
}

img {
  width: 100%;
}

.card-container {
  flex-direction: row;
  display: flex;
  align-items: center;
  gap: 0.3rem;
  justify-content: center;
}

.sub-header {
  color: var(--Main-Foreground);
  font-size: 1rem;
  font-weight: 600;
  padding-bottom: var(--card-text-padding-vertical);
}

.countdown-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  flex: 1 0 auto;
}

p {
  color: var(--Main-Foreground, #000);
  font-size: min(4cqw, 0.9375rem);
  margin: 0;
}

.time-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 20cqw;
}

.countdown {
  color: var(--Main-Foreground);
  font-family: 'Mogra', serif;
  font-variation-settings: 'MORF' 0;
  font-size: 15cqw;
  white-space: nowrap;
  width: 100%;
  height: 100%;
  text-align: center;
  animation: clockmorph 6s ease infinite;
  line-height: 65%;
  padding-top: 5cqw;
  @media (prefers-reduced-motion: reduce) {
    animation: none;
  }
}

@keyframes clockmorph {
  0% {
    font-variation-settings: 'MORF' 0;
  }
  3% {
    font-variation-settings: 'MORF' 0;
  }
  16% {
    font-variation-settings: 'MORF' 20;
  }
  20% {
    font-variation-settings: 'MORF' 20;
  }
  33% {
    font-variation-settings: 'MORF' 40;
  }
  36% {
    font-variation-settings: 'MORF' 40;
  }
  50% {
    font-variation-settings: 'MORF' 60;
  }
  53% {
    font-variation-settings: 'MORF' 60;
  }
  66% {
    font-variation-settings: 'MORF' 40;
  }
  70% {
    font-variation-settings: 'MORF' 40;
  }
  83% {
    font-variation-settings: 'MORF' 20;
  }
  87% {
    font-variation-settings: 'MORF' 20;
  }
  100% {
    font-variation-settings: 'MORF' 0;
  }
}

@media (prefers-color-scheme: dark) {
  .card {
    box-shadow: none;
  }
}

.countdown-ended .accent-teal {
  color: var(--Color-Accent-Teal, #154f5a);
}

.countdown-ended .accent-orange {
  color: var(--color-accent-orange, #f3791c);
}

.countdown-ended .accent-green {
  color: var(--color-accent-green, #75a816);
}

.countdown-ended .accent-red {
  color: var(--color-accent-red, #a50000);
}

.countdown-ended .accent-violet {
  color: var(--color-accent-violet, #56479d);
}

.countdown-ended .accent-mint {
  color: var(--color-accent-mint, #1aca7b);
}

.countdown-ended .accent-blue {
  color: var(--color-accent-blue, #0092eb);
}

.countdown-ended span {
  font-family: Mogra, serif;
  font-size: 3rem;
  font-weight: 400;
}

.image-container {
  width: 100%;
  height: 9.5cqw;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}

.top-image,
.bottom-image {
  width: 100%;
  height: auto;
  max-width: 100%;
  transition: opacity 0.3s ease;
}

.top-image {
  align-self: flex-start;
}

.bottom-image {
  align-self: flex-end;
}
